<?php
/**
* @version		3.0.0
* @package		JomLand TicketCenter
* @copyright	Copyright (C) 2010 JomLand.com. All rights reserved.
* @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');
JLoader::import('components.com_jlticketcenter.helpers.helper',JPATH_SITE);


class JLTicketCenterController extends JControllerLegacy
{
	public static $cart = array();
	function display($cachable = false, $urlparams = Array())
	{
		define('GENERAL_MODEL',"JLTicketCenterModelGeneral");
		
		if (JRequest::getvar('view')=='order'){
			$session = JFactory::getSession();
			$order_id = $session->get('jlticketcenter_order_id');
			
			if (!$order_id){
				$this->setRedirect('/');
				$this->redirect();
			}	
		}
		
		parent::display();
	}
}